Skip to main content
POST
/
v1
/
projects
Create a new project
curl --request POST \
  --url https://api.devic.ai/v1/projects \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "identifier": "<string>",
  "description": "<string>",
  "visibility": "private"
}
'
{
  "_id": "<string>",
  "clientUID": "<string>",
  "name": "<string>",
  "identifier": "<string>",
  "description": "<string>",
  "imageUrl": "<string>",
  "createdByUserUID": "<string>",
  "creationTimestampMs": 123,
  "lastEditTimestampMs": 123,
  "archived": true
}

Authorizations

Authorization
string
header
required

Use JWT token for authentication

Body

application/json
name
string
required

Project name

identifier
string
required

Unique identifier (lowercase alphanumeric with hyphens, e.g. "my-project-1")

Pattern: ^[a-z0-9]+(-[a-z0-9]+)*$
description
string

Project description

visibility
enum<string>
default:private

Project visibility

Available options:
public,
private

Response

Project created successfully

_id
string

Project ID

clientUID
string

Client UID

name
string

Project name

identifier
string

Unique identifier (lowercase alphanumeric with hyphens)

description
string

Project description

imageUrl
string

Project image URL

visibility
enum<string>

Project visibility

Available options:
public,
private
createdByUserUID
string

UID of the user that created the project

creationTimestampMs
integer<int64>

Creation timestamp (ms)

lastEditTimestampMs
integer<int64>

Last edit timestamp (ms)

archived
boolean

Whether the project is archived